ok as of now my wii is currently bricked....im in the process of sending it to nintendo.

when i get it back im pretty sure they will set it to 3.3(from previouse experience)

but i want to use the sd card menu

the way my wii recently got bricked is from using a 4.0 updater and i guess it deleted ios30 or the system menu for 3.3 or whatever....

so my question is if i install bootmii as and ios(im not able to install it as boot2)
and install preloader will i be able to fix any future brick....

also is there a noob proof way to install preloader on 4.0,4.1 and or 4.2.....the reason i ask for a noob proof way is because i know there is a chance of a brick if did wrong..... i know how to install hombrew,dvdx,bootmii (but once again not as boot2 unfortunatley) and i have hacked 4.2 before (even downgraded)............ im also looking into buying a HDD drive and i want to know which would be the best to purchase.....or at lease the one that is most capable with all loaders